cURL
curl --request GET \
--url https://app.aegister.com/api/v1/vpn \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/vpn"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/vpn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": [],
"total": 20,
"data": [
{
"id": 11,
"organization": {
"id": 5,
"name": "Sample Organization",
"logo": "https://sample.com/logo.svg"
},
"created_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com"
}
]
}VPN
Get VPN Profile list
Retrieves all VPN profiles assigned to the user
GET
/
api
/
v1
/
vpn
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Query Parameters
Filter VPN profiles by date of creation.
Filter by VPN profile by user email. This filter is case insensitive.
Include Certificate in the VPN response object
Max number of reponse items.
Offset response items.
Return only VPN profiles assigned to the user
Order results by item field
Response
200 - application/json
Any value different from 0 indicates an error.
More details can be found in messages.
Required range:
0 <= x <= 0Example:
0
If error is 1, contains zero or more details on the error.
Example:
[]
Total number of items that meet the list filter.
This doesn't represent the number of items inside the data array.
Required range:
x >= 0Examples:
20
30
40
Show child attributes
Show child attributes

